Get conversation details
curl --request GET \
--url https://app.duix.ai/duix-openapi-v2/sdk/v2/getConversationById \
--header 'token: <api-key>'import requests
url = "https://app.duix.ai/duix-openapi-v2/sdk/v2/getConversationById"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://app.duix.ai/duix-openapi-v2/sdk/v2/getConversationById', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": "0",
"message": "SUCCESS",
"msg": "SUCCESS",
"data": {
"id": "108",
"conversationName": "Unnamed-18:04",
"language": "zh",
"corpId": "1003645",
"userId": "3959",
"conversationConfigDto": null,
"maxConversation": 2,
"dataModelIsUsed": 1,
"knowledgeIsUsed": 1,
"fileIsUsed": 0,
"thirdIsUsed": 0,
"isFreedom": 0,
"asrProvider": null,
"conversationInfoDto": {
"id": 109,
"name": "1",
"nickName": "",
"gender": 1,
"age": 0,
"height": 0,
"weight": 0,
"characters": "",
"backStory": ""
},
"detailDto": {
"id": 95,
"conversationId": "108",
"proportion": "16:9",
"terminalType": 0,
"modelId": "321486924406853",
"modelIdType": 0,
"imageId": null,
"sceneId": null,
"modelName": "Model name",
"sceneType": 0,
"background": 1,
"backgroundDto": {
"id": 1,
"backgroundCode": "1591003727513522176",
"backgroundName": "zuoyi.jpg",
"backgroundUrl": "/video-server/jpg/1592809647136509954.jpg",
"fileType": 0,
"proportion": "16:9",
"userId": null
},
"modelConfig": null,
"ttsId": "15",
"ttsName": "guina",
"ttsConfig": null,
"ttsUrl": "",
"ttsVolume": 0,
"ttsSpeaker": "zhifeng_emo",
"ttsSpeedRate": 0,
"ttsPitch": 0,
"ttsSource": 20,
"samplePictureUrl": "/model/2023/02/06/c5348a17fac75feb0152a0c599b7af87.png",
"videoWidth": 1920,
"videoHeight": 1920,
"humanProportion": "9:16",
"humanWidth": 540,
"humanHeight": 960,
"humanX": 690,
"humanY": 120,
"localModelInfo": null
},
"knowledgeDtoList": [],
"kbConversationDto": null,
"modelDtoList": [
{
"id": 487,
"conversationId": "108",
"largeModelType": 0,
"modelCode": 0,
"largeName": "chatbot_law",
"modelId": "1",
"prompt": "Task: Your name is Zhang San...",
"botUrl": ""
}
],
"thirdDto": null,
"scriptDtoList": [
{
"id": 2728,
"conversationId": "108",
"scriptType": 0,
"scriptContent": "Els silvrants",
"ttsContent": null,
"emotion": "0"
}
]
}
}API reference
Get conversation details
Query conversation details by providing the conversation ID.
GET
/
getConversationById
Get conversation details
Query Parameters
Unique conversation ID.
⌘I